Subject: Re: [bug#63508] [PATCH 3/3] gnu: eudev: Always use MAC-based names for network interfaces.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 06 Feb 2025 11:58:31 +0900

Hi Felix,

Felix Lechner <[email-masked]> writes:

> Hi Maxim,
>
> On Wed, Feb 05 2025, Maxim Cournoyer wrote:
>
>> It's something to be left to users to choose for themselves based on
>> their own needs.
>
> You misunderstood.  The patch merely allows users to choose
> ID_NET_NAME_MAC.
>
> It does not change the default naming.
>
> Eudev on Guix is broken.  It does not look in /etc/udev/rules.d even
> though that's where udev-rules-service installs its rules.
>
> The confusion arose because v1 changed the default, but I realized
> quickly that it went too far.  Please have a look at v4 from May 2023.

Yes I was answering to v1.  Regarding v4, I've taken a look and came up
with v5.

-- 
Thanks,
Maxim